csrscl.f(3)

NAME
csrscl.f -

SYNOPSIS

  Functions/Subroutines
subroutine CSRSCL (N, SA, SX, INCX)
CSRSCL

Function/Subroutine Documentation

  subroutine CSRSCL (INTEGERN, REALSA, COMPLEX, dimension( * )SX, INTEGERINCX)

CSRSCL

Purpose:

     CSRSCL multiplies an n-element complex vector x by the real scalar
     1/a.  This is done without overflow or underflow as long as
     the final result x/a does not overflow or underflow.

Parameters:
    N

              N is INTEGER
              The number of components of the vector x.

    SA

              SA is REAL
              The scalar a which is used to divide each component of x.
              SA must be >= 0, or the subroutine will divide by zero.

    SX

              SX is COMPLEX array, dimension
                             (1+(N-1)*abs(INCX))
              The n-element vector x.

    INCX

              INCX is INTEGER
              The increment between successive values of the vector SX.
              > 0:  SX(1) = X(1) and SX(1+(i-1)*INCX) = x(i),     1< i<= n

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 85 of file csrscl.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.